/*
 * (C) 2008  Torsten Neuer <tneuer@inwise.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 *  $Id: plugin-conf.h,v 1.4 2008/06/16 16:08:48 tneuer Exp $
 *
 *  $Log: plugin-conf.h,v $
 *  Revision 1.4  2008/06/16 16:08:48  tneuer
 *  Disable Glib assertions on non-development releases
 *
 *  Revision 1.3  2008/05/29 11:46:17  tneuer
 *  Minor code cleanup.
 *
 *  Revision 1.2  2008/05/26 15:10:56  tneuer
 *  Minor code cleanup.
 *
 *  Revision 1.1.1.1  2008/04/27 13:19:02  tneuer
 *  initial import
 *
 *  Revision 1.1  2008/04/15 11:50:38  tneuer
 *  Initial revision
 *
 */

#ifndef __PLUGIN_CONF_H__
#define __PLUGIN_CONF_H__

#include "config.h"

#define G_DISABLE_DEPRECATED    1
#define GTK_DISABLE_DEPRECATED  1
#define GLIB_DISABLE_DEPRECATED 1
#define GIMP_DISABLE_DEPRECATED 1

#if (PLUGIN_MINOR_VERSION % 2)
#undef G_DISABLE_ASSERT
#else
#define G_DISABLE_ASSERT 1
#endif

#include "plugin-intl.h"

#endif
