/*
 * (C) 1997,2003  Jens Ch. Restemeier <jrestemeier@currantbun.com>
 *
 * (C) 2008       Torsten Neuer <tneuer@inwise.de>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 *  $Id: interface.h,v 1.5 2008/06/06 13:03:49 tneuer Exp $
 *
 *  $Log: interface.h,v $
 *  Revision 1.5  2008/06/06 13:03:49  tneuer
 *  No more help button when running filters in stand-alone mode
 *
 *  Revision 1.4  2008/05/21 12:30:37  tneuer
 *  Minor code cleanup.
 *
 *  Revision 1.3  2008/05/14 14:29:59  tneuer
 *  Code cleanup prior to editor panel rewrite.
 *
 *  Revision 1.2  2008/05/05 13:32:41  tneuer
 *  New functions guf_filter_renew_from_pdb () and guf_filter_dump () for PDB operations.
 *
 *  Revision 1.1.1.1  2008/04/27 13:19:02  tneuer
 *  initial import
 *
 *  Revision 1.1  2008/04/01 16:05:19  tneuer
 *  Initial revision
 *
 */

#ifndef __INTERFACE_H__
#define __INTERFACE_H__

#include "plugin-conf.h"


/*  Public functions  */

gboolean uf_dialog (GimpDrawable * drawable);


#endif /* __INTERFACE_H__ */
