/*
 * (C) 1997,2003  Jens Ch. Restemeier <jrestemeier@currantbun.com>
 *
 * (C) 2008       Torsten Neuer <tneuer@inwise.de>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 *  $Id: interpreter.h,v 1.2 2008/05/21 12:30:37 tneuer Exp $
 *
 *  $Log: interpreter.h,v $
 *  Revision 1.2  2008/05/21 12:30:37  tneuer
 *  Minor code cleanup.
 *
 *  Revision 1.1.1.1  2008/04/27 13:19:05  tneuer
 *  initial import
 *
 *  Revision 1.1  2008/04/01 16:05:40  tneuer
 *  Initial revision
 *
 */

#ifndef __INTERPRETER_H__
#define __INTERPRETER_H__

#include "plugin-conf.h"


#include <libgimp/gimp.h>
#include <libgimp/gimpui.h>

#include "scanner.h"
#include "userfilter.h"

extern CodeTree * uf_code[N_CHANNELS];


void calc_envir (void);

gint R (void);
gint G (void);
gint B (void);
gint A (void);

#endif /* __INTERPRETER_H__ */
